Bug 149723 - Piano template doesn't have designated footer areas in master slide anymore
Summary: Piano template doesn't have designated footer areas in master slide anymore
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2022-06-25 01:07 UTC by Aron Budea
Modified: 2022-07-21 15:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Modified template to test (23.04 KB, application/vnd.oasis.opendocument.presentation-template)
2022-07-11 13:51 UTC, Laurent BP
Details
Modified styles.xml for the template (84.81 KB, patch)
2022-07-11 13:52 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2022-06-25 01:07:28 UTC
Create a presentation based on Piano template, and switch to Master View.

Note that on the first master slide, while the footer fields are there (date/time, footer, number), they are not specialized Date Area, Footer Area, Slide Number Area anymore. Compare it with the second master slide to see what that is like.

A side-effect of this is that those fields are always visible (when non-empty, like the slide number by default), and can't be controlled by Insert -> Header and Footer.

Observed using LO 7.4.0.0.beta1+ (cdf48e57da6b8a6a5eb4131340fa2c14be135714) / Ubuntu.
This is a regression from the following commit, bibisected using repo bibisect-linux-64-7.0 (had to clean user directory at each step).

https://cgit.freedesktop.org/libreoffice/core/commit/?id=155648d602e84e7626b55c71e9b76140303e7432
author		andreas kainz <kainz.a@gmail.com>	2020-04-30 16:22:11 +0200
committer	andreas_kainz <kainz.a@gmail.com>	2020-04-30 18:06:18 +0200

tdf#132138 Update piano impress template
Comment 1 Heiko Tietze 2022-06-27 08:33:35 UTC
Plus, the fields use Automatic which cannot take the background image into account. So the page number, for example, is black on black.
Comment 2 Laurent BP 2022-07-11 11:55:14 UTC
In styles.xml [1], footer frames are missing their presentation:class attributes:
- presentation:class="date-time" line 816
- presentation:class="footer" line 825
- presentation:class="page-number" line 834

[1] https://opengrok.libreoffice.org/xref/core/extras/source/templates/presnt/Piano/styles.xml?r=ce19b1af#816
Comment 3 Laurent BP 2022-07-11 13:49:59 UTC
(In reply to Heiko Tietze from comment #1)
> Plus, the fields use Automatic which cannot take the background image into
> account. So the page number, for example, is black on black.

Add some grey color to the footer on second slide
Comment 4 Laurent BP 2022-07-11 13:51:10 UTC
Created attachment 181229 [details]
Modified template to test

This template will replace previous Piano template if it is ok
Comment 5 Laurent BP 2022-07-11 13:51:55 UTC
Please test the template in attachment if it meets your needs
Comment 6 Laurent BP 2022-07-11 13:52:50 UTC
Created attachment 181230 [details]
Modified styles.xml for the template
Comment 7 Commit Notification 2022-07-13 05:35:08 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cae349e4770862b36176b601d7d572844c215d4f

tdf#149723 Fix Piano Impress template

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Laurent BP 2022-07-13 15:27:32 UTC
Same problem with many other templates. I need more time to investigate.
Comment 9 Commit Notification 2022-07-14 05:12:19 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/a1ee991d655d18c0e0e7f0c093ac50cb1e6d5825

tdf#149723 Fix Piano Impress template

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Laurent BP 2022-07-14 18:13:52 UTC
Same bug with Beehive and Blue_Curve templates. Fix proposed:
https://gerrit.libreoffice.org/c/core/+/137088
Comment 11 Commit Notification 2022-07-16 08:00:33 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/80e94899d2254a345f7c73804bffe5d5e008f8ad

tdf#149723 Fix footer of Beehive and Blue_Curve

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-07-17 00:53:39 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/5eeb691ceca2b38c682ff53ce85b0dbef072e790

tdf#149723 Fix footer of Beehive and Blue_Curve

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.